Package org.apache.uima.flow.impl

# Class FlowControllerContext_impl

java.lang.Object
org.apache.uima.impl.UimaContext_ImplBase
org.apache.uima.impl.ChildUimaContext_impl
org.apache.uima.flow.impl.FlowControllerContext_impl

All Implemented Interfaces:
  `FlowControllerContext`, `UimaContext`, `UimaContextAdmin`

public class FlowControllerContext_impl extends ChildUimaContext_impl implements FlowControllerContext
Implementation of FlowControllerContext.

- ## Field Summary

  ### Fields inherited from class org.apache.uima.impl.UimaContext_ImplBase

  `loggingThrottleLimit, mCasPoolSize, mMBean, mOutstandingCASes, mQualifiedContextName, mSofaMappings`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowControllerContext_impl(UimaContextAdmin aParentContext, String aContextName, Map<String,String> aSofaMappings, Map<String,AnalysisEngineMetaData> aAnalysisEngineMetaDataMap, AnalysisEngineMetaData aAggregateMetadata)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnalysisEngineMetaData`
  `getAggregateMetadata()`
  Gets the metadata of the Aggregate AnalysisEngine containing this FlowController.
  `Map<String,AnalysisEngineMetaData>`
  `getAnalysisEngineMetaDataMap()`
  Gets a map from Analysis Engine key (a String) to `AnalysisEngineMetaData`.

  ### Methods inherited from class org.apache.uima.impl.ChildUimaContext_impl

  `getConfigurationManager, getInstrumentationFacility, getLogger, getResourceManager, getRootContext, getSession, initializeRoot, setLogger, setPearResourceManager, setProcessTrace, setSession`

  ### Methods inherited from class org.apache.uima.impl.UimaContext_ImplBase

  `combineSofaMappings, createChild, defineCasPool, getComponentInfo, getConfigParameterNames, getConfigParameterNames, getConfigParameterValue, getConfigParameterValue, getConfigurationGroupNames, getDataPath, getDataPathElements, getEmptyCas, getExternalOverrides, getManagementInterface, getMdcId, getQualifiedContextName, getResourceAsStream, getResourceAsStream, getResourceFilePath, getResourceFilePath, getResourceObject, getResourceObject, getResourceURI, getResourceURI, getResourceURL, getResourceURL, getSharedSettingArray, getSharedSettingNames, getSharedSettingValue, getSofaMap, getSofaMappings, getUniqueName, makeQualifiedName, mapSofaIDToComponentSofaName, mapToSofaID, maybeThrottleLogger, returnedCAS, setExternalOverrides, setLoggingThrottleLimit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.UimaContext

  `getConfigParameterNames, getConfigParameterNames, getConfigParameterValue, getConfigParameterValue, getConfigurationGroupNames, getDataPath, getDataPathElements, getEmptyCas, getInstrumentationFacility, getLogger, getResourceAsStream, getResourceAsStream, getResourceFilePath, getResourceFilePath, getResourceObject, getResourceObject, getResourceURI, getResourceURI, getResourceURL, getResourceURL, getSession, getSharedSettingArray, getSharedSettingNames, getSharedSettingValue, getSofaMappings, mapSofaIDToComponentSofaName, mapToSofaID`

  ### Methods inherited from interface org.apache.uima.UimaContextAdmin

  `createChild, defineCasPool, getComponentInfo, getExternalOverrides, getManagementInterface, getQualifiedContextName, getSofaMap, getUniqueName, returnedCAS, setExternalOverrides`

- ## Constructor Details

  - ### FlowControllerContext_impl

    public FlowControllerContext_impl(UimaContextAdmin aParentContext, String aContextName, Map<String,String> aSofaMappings, Map<String,AnalysisEngineMetaData> aAnalysisEngineMetaDataMap, AnalysisEngineMetaData aAggregateMetadata)
    Parameters:
      `aParentContext` - -
      `aContextName` - -
      `aSofaMappings` - -
      `aAnalysisEngineMetaDataMap` - -
      `aAggregateMetadata` - -

- ## Method Details

  - ### getAnalysisEngineMetaDataMap

    public Map<String,AnalysisEngineMetaData> getAnalysisEngineMetaDataMap()
    Description copied from interface: `FlowControllerContext`
    Gets a map from Analysis Engine key (a String) to `AnalysisEngineMetaData`. This map contains an entry for all Analysis Engines to which the FlowController can route CASes.
    Specified by:
      `getAnalysisEngineMetaDataMap` in interface `FlowControllerContext`
    Returns:
      a map with `String` keys, and `AnalysisEngineMetaData` values

  - ### getAggregateMetadata

    public AnalysisEngineMetaData getAggregateMetadata()
    Description copied from interface: `FlowControllerContext`
    Gets the metadata of the Aggregate AnalysisEngine containing this FlowController. This includes the specification of the inputs and outputs of the aggregate, which may be useful for some FlowController implementations.
    Specified by:
      `getAggregateMetadata` in interface `FlowControllerContext`
    Returns:
      the Capabilities of the aggregate containing this FlowController.